Alembic 1.8.11

Loading...
Searching...
No Matches
Alembic::AbcGeom::ALEMBIC_VERSION_NS::OFaceSetSchema::Sample Class Reference
Collaboration diagram for Alembic::AbcGeom::ALEMBIC_VERSION_NS::OFaceSetSchema::Sample:
[legend]

## Public Types
typedef Sample | this_type

## Public Member Functions
| Sample ()
| Sample (const Abc::Int32ArraySample &iFaceNums)
const Abc::Int32ArraySample & | getFaces () const
void | setFaces (const Abc::Int32ArraySample &iFaces)
const Abc::Box3d & | getSelfBounds () const
void | setSelfBounds (const Abc::Box3d &iBnds)
void | reset ()

## Protected Attributes
Abc::Int32ArraySample | m_faces
Abc::Box3d | m_selfBounds

## Constructor & Destructor Documentation

## ◆ Sample() [1/2]

Alembic::AbcGeom::ALEMBIC_VERSION_NS::OFaceSetSchema::Sample::Sample | ( |  | ) |
| inline

Creates a default sample with no data in it. ...

## ◆ Sample() [2/2]

Alembic::AbcGeom::ALEMBIC_VERSION_NS::OFaceSetSchema::Sample::Sample | ( | const Abc::Int32ArraySample & | iFaceNums | ) |
| inline

Creates a sample with the list of faces that are in this faceset. The array of face numbers MUST be ordered by face number. Code that reads and works with facesets depends on this for efficency. e.g. call std::sort (myVecOfFaces.begin (), myVecOfFaces.end ()); if you need to. The sample must be complete like this. Subsequent samples may also consist of faces which allows you to change of topology of the faceset.

The documentation for this class was generated from the following file:

- AbcGeom/OFaceSet.h